package org.springblade.modules.system.controller;

import org.springblade.core.tool.api.R;
import org.springblade.modules.system.entity.server.Server;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 服务器监控
 *
 * @author ruoyi
 */
@RestController
@RequestMapping("/server")
public class ServerController {

    @GetMapping("info")
    public R<Server> getInfo() throws Exception {
        Server server = new Server();
        server.copyTo();
        return R.data(server);
    }
}
